<?php

    include("../../classes/database.class.php");
    include("../../classes/usuarioModel.class.php");
	
	$oldPassword = $_POST['oldPassword'];
	$idUsuario = $_POST['idUsuario'];
    
	$modelo = new UsuarioModel();
	$rows = $modelo->queryPassword($idUsuario);

	$pwdHashed = $rows[0]["senha"];
	$checkPwd = password_verify($oldPassword, $pwdHashed);
	echo json_encode($checkPwd);